using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Newtonsoft.Json;

namespace PassingStateWithJson
{
    [Activity(Label = "Second Activity")]
    public class SecondActivity : Activity
    {
        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);

            var intentBundle = Intent.Extras;
            var vm = JsonConvert.DeserializeObject<MyViewModel>(
                intentBundle.GetString("ViewModel"));
           
            SetContentView(Resource.Layout.Second);
            var text1 = FindViewById<TextView>(Resource.Id.Text1);
            var text2 = FindViewById<TextView>(Resource.Id.Text2);
            text1.Text = vm.Name;
            text2.Text = vm.State;
        }
    }
}